//**********************************//
//RAPPEL DE C++
//**********************************//


//1. Classes et struct

//une struct peut être vue comme une classe dont tout est publique.
//notez qu'une struct peut, tout comme les classes avoir un constructeur
//ainsi que la surcharge des opérateurs.

//exemple de struct
struct mon_vecteur
{
    //constructeur
    mon_vecteur(double _x,double _y,double _z)
        :x(_x),y(_y),z(_z)//rappel: ceci est l'initialisation pour le constructeur
    {}

    //paramètres
    double x,y,z;
};

//exemple de classe:
class mon_vecteur2
{
public:
    mon_vecteur2(double _x,double _y,double _z)
        :x(_x),y(_y),z(_z){}

private:
    //ici on ne pourra pas accéder de l'exterieur aux paramètres private
    double x,y,z;
};

//utilisation
int main(int argc,char *argv[])
{
    mon_vecteur(1,2,3);
    mon_vecteur2(1,2,3);
    return 0;
}
